| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::FileSaveConflictBox Class Reference
Inheritance diagram for Digikam::FileSaveConflictBox:

## Public Types
enum | ConflictRule { OVERWRITE = 0 , DIFFNAME , SKIPFILE }

## Signals
void | signalConflictButtonChanged (int)

## Public Member Functions
| FileSaveConflictBox (QWidget *const parent, bool addSkip=false)
ConflictRule | conflictRule () const
void | readSettings (const KConfigGroup &group)
void | resetToDefault ()
void | setConflictRule (ConflictRule r)
void | writeSettings (KConfigGroup &group)